Bug 963928 - rhevm-upgrade from RHEV 3.0 to RHEV 3.1 fails with depency errors between rhevm-sdk and ovirt-engine-sdk
rhevm-upgrade from RHEV 3.0 to RHEV 3.1 fails with depency errors between rhe...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.4
All Linux
urgent Severity high
: ---
: 3.3.0
Assigned To: Moran Goldboim
Pavel Stehlik
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 15:15 EDT by Joe Mann
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-19 07:46:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Mann 2013-05-16 15:15:57 EDT
Description of problem:

Upgrade grade between RHEVm 3.0 and RHEVm 3.1 fails with the following dependency errors:

Error: rhevm-sdk conflicts with ovirt-engine-sdk

2013-04-18 10:44:36::DEBUG::common_utils::379::root:: retcode = 1
2013-04-18 10:44:36::ERROR::upgrade_utils30::224::root:: Traceback (most recent call last):
  File "/usr/share/ovirt-engine/scripts/upgrade_utils30.py", line 218, in upgrade
  File "/usr/share/ovirt-engine/scripts/common_utils.py", line 382, in execCmd
Exception: Error: Yum update failed

Version-Release number of selected component (if applicable):
RHEVm 3.0.8 to RHEVm 3.1.4


How reproducible:
100% in customer environment
Have not been able to reproduce in the lab

Steps to Reproduce:
1. attempt to upgrade manger via rhevm-upgrade
2. allow upgrade script to run
3. 
  
Actual results:
upgrade fails, have to manually roll back to RHEVm 3.0.8

Expected results:
Succesful upgrade of the RHEV manager

Additional info:

ovirt-engine-upgrade log (which is in Spanish) from the failure uploaded as attachment
Comment 1 Joe Mann 2013-05-16 15:16:31 EDT
Created attachment 749024 [details]
ovirt-engine-upgrade log file
Comment 3 Joe Mann 2013-05-16 15:28:54 EDT
Created attachment 749028 [details]
ovirt-engine-upgrade log file from sfdc 00831890
Comment 4 Itamar Heim 2013-05-19 07:46:08 EDT
2013-05-03 17:03:21::DEBUG::common_utils::378::root:: stderr = Error: rhevm-sdk conflicts with ovirt-engine-sdk-1.3-1.el6.noarch

ovirt-engine-sdk is a community version of rhevm-sdk and cannot be co-installed, which is why there is a conflict between them.

ovirt-engine-sdk should be removed before upgrade.

please re-open if the issue is different.

Note You need to log in before you can comment on or make changes to this bug.